Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class ADataDCDSOperand

    java.lang.Object
      com.ibm.jzos.recordgen.asm.ADataDCDSOperand

    public class ADataDCDSOperand

extends java.lang.Object

This class maps the ADATA DCDS Operand block

See Also:
  `ADataDCDSRecord`

Field Summary
`static int` | `BUFFER_LEN`
`protected static AssemblerDatatypeFactory` | `factory`

Constructor Summary
`ADataDCDSOperand(byte[] buffer, int bufOffset)` Construct an instance on an existing byte array.

Method Summary
`void` | `dumpOn(java.io.Writer writer)` Write a (debug) dump of the receiver on a Writer.
`int` | `getBIT_OFFSET()`
`int` | `getDUP()`
`ADataDCDSValue` | `getFirstValue()`
`int` | `getLOCTR()`
`int` | `getNEXT_OP_OFF()`
`ADataDCDSOperand` | `getNextOperand()`
`long` | `getPROGRAM_TYPE()`
`java.lang.String` | `getTYPE_ATTR()`
`java.lang.String` | `getTYPE_EXT()`
`int` | `getVALUES_NUM()`
`int` | `getVALUES_OFF()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFER_LEN

    public static final int BUFFER_LEN

See Also:
  Constant Field Values

### factory

    protected static AssemblerDatatypeFactory factory

Constructor Detail

### ADataDCDSOperand

    public ADataDCDSOperand(byte[] buffer,
                            int bufOffset)

  Construct an instance on an existing byte array.

  Parameters:
    `buffer` - the byte array used as backing memory for the structure

Method Detail

### getNEXT_OP_OFF

    public int getNEXT_OP_OFF()

### getLOCTR

    public int getLOCTR()

### getPROGRAM_TYPE

    public long getPROGRAM_TYPE()

### getDUP

    public int getDUP()

### getBIT_OFFSET

    public int getBIT_OFFSET()

### getTYPE_ATTR

    public java.lang.String getTYPE_ATTR()

### getTYPE_EXT

    public java.lang.String getTYPE_EXT()

### getVALUES_NUM

    public int getVALUES_NUM()

### getVALUES_OFF

    public int getVALUES_OFF()

### getNextOperand

    public ADataDCDSOperand getNextOperand()

### getFirstValue

    public ADataDCDSValue getFirstValue()

### dumpOn

    public void dumpOn(java.io.Writer writer)
                throws java.io.IOException

  Write a (debug) dump of the receiver on a Writer.

  Parameters:
    `writer` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD